Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002561Zandronum[All Projects] Suggestionpublic2016-01-02 13:592017-02-09 00:59
ReporterDusk 
Assigned ToDusk 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.0Fixed in Version3.0 
Summary0002561: CLIENT_WARNING_MESSAGES
DescriptionDo we still ever use client warning messages? If so I think this should be turned into a CVar. I almost broke client warning messages by renaming 'lID' to 'id' without updating this code and the compiler didn't complain because it's preprocessored away. This wouldn't have had a chance of happening if it was a CVar (and it'd probably be much more usable if Zandronum didn't have to be recompiled to use these messages).
Attached Filespng file icon Screenshot_Doom_20160206_125939.png [^] (651,297 bytes) 2016-02-06 21:16
png file icon Screenshot_Doom_20160206_131239.png [^] (640,487 bytes) 2016-02-06 21:16

- Relationships
parent of 0002652closed client_DoSectorLightStrobe: Cannot find sector 
parent of 0002653new client_GiveInventory: Failed to give inventory type 
parent of 0002654resolvedTorr Samaho client_DestroyThing: Couldn't find thing 
parent of 0002655needs testingTorr Samaho client_MissileExplode: Couldn't find thing 
parent of 0002664closed client_DoSectorLightGlow: Cannot find sector 
parent of 0002665closed client_DoSectorLightLightFlash: Cannot find sector 
parent of 0002666closed client_DoSectorLightFireFlicker: Cannot find sector 
parent of 0002667confirmed Server informs the client about map changes, before the client fully loaded the map. 
parent of 0002668new client_DoDoor: WARNING! Door's sector already has a ceiling mover attached to it! 
parent of 0002669new client_DestroyDoor: Couldn't find door with ID 
parent of 0002946new client_DestroyPillar: Couldn't find pillar with ID 
parent of 0002947acknowledged SoundActorIfNotPlaying: couldn't find actor 
parent of 0002948new SetThingFlags: couldn't find actor 
parent of 0002949new MoveThingExact: couldn't find actor 
parent of 0002950new client_DoRotatePoly: Invalid polyobj number 
parent of 0002951new SetThingState: couldn't find actor 
parent of 0002952new MoveThing: couldn't find actor 
parent of 0002953new PlayerRespawnInvulnerability: Invalid player number 
parent of 0003007new SpawnBloodSplatter: couldn't find originator 
parent of 0003008new DoSectorLightPhased: couldn't find sector 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0014116)
Torr Samaho (administrator)
2016-01-17 20:29

I'm fine with changing this into a CVAR.
User avatar (0014367)
Dusk (developer)
2016-02-06 17:14

https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/64 [^]
User avatar (0014370)
cobalt (updater)
2016-02-06 18:04

Issue addressed by commit 340e819e86cb: Replaced the CLIENT_WARNING_MESSAGES #ifdef stuff with a CVAR, cl_showwarnings, addresses 2561. This way we avoid the inherent problems of conditional compilation (namely, the code inside breaking without the compiler ever getting to warn us), and makes enabling these warning messages much easier to do. A couple of other warning messages are now also subject to this CVAR for consistency, and a warning message was added for SetThingState.
Committed by Teemu Piippo [Dusk] on Wednesday 31 December 1969 23:59:57

Changes in files:

 src/cl_main.cpp | 530 ++++++++++++++++++++++++++++++++------------------------------------------------------------------------------
 src/cl_main.h | 3 -
 2 files changed, 157 insertions(+), 376 deletions(-)

User avatar (0014382)
WaTaKiD (updater)
2016-02-06 21:16
edited on: 2016-02-06 21:20

using:https://www.dropbox.com/s/efn0f3skyqu5ue5/zandronum-3.0-r160206-1709-340e819-windows.zip?dl=0 [^]

i hosted a local server with doom2.wad map01 and coop, connected and joined a client with cl_showwarnings enabled and exited the map normally, upon loading the next map, see first attached screenshot

and then with survival, see second attached screenshot regarding when the round reset upon joining, and when exiting the map

note: i initially had sv_survivalcountdowntime set to 1, but if i set it to 3 then that message wont show upon round reset

User avatar (0014533)
WaTaKiD (updater)
2016-03-01 22:53

cl_showwarnings works, and as such this ticket will be marked as resolved

meanwhile, warnings it prints (my above note for example) will be dealt with in separate tickets that will be related to this one

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-01-02 13:59 Dusk New Issue
2016-01-17 20:29 Torr Samaho Note Added: 0014116
2016-02-05 22:24 Dusk Assigned To => Dusk
2016-02-05 22:24 Dusk Status new => assigned
2016-02-06 17:14 Dusk Note Added: 0014367
2016-02-06 17:14 Dusk Status assigned => needs review
2016-02-06 18:04 cobalt Status needs review => needs testing
2016-02-06 18:04 cobalt Target Version => 3.0
2016-02-06 18:04 cobalt Note Added: 0014370
2016-02-06 21:16 WaTaKiD Note Added: 0014382
2016-02-06 21:16 WaTaKiD File Added: Screenshot_Doom_20160206_125939.png
2016-02-06 21:16 WaTaKiD File Added: Screenshot_Doom_20160206_131239.png
2016-02-06 21:20 WaTaKiD Note Edited: 0014382 View Revisions
2016-03-01 22:53 WaTaKiD Note Added: 0014533
2016-03-01 22:53 WaTaKiD Status needs testing => resolved
2016-03-01 22:53 WaTaKiD Resolution open => fixed
2016-03-01 22:53 WaTaKiD Fixed in Version => 3.0
2016-03-01 23:19 WaTaKiD Relationship added parent of 0002652
2016-03-01 23:22 WaTaKiD Relationship added parent of 0002653
2016-03-01 23:28 WaTaKiD Relationship added parent of 0002654
2016-03-01 23:32 WaTaKiD Relationship added parent of 0002655
2016-03-06 21:22 WaTaKiD Relationship added parent of 0002664
2016-03-06 21:29 WaTaKiD Relationship added parent of 0002665
2016-03-06 21:49 WaTaKiD Relationship added parent of 0002666
2016-03-06 21:54 WaTaKiD Relationship added parent of 0002667
2016-03-06 22:26 WaTaKiD Relationship added parent of 0002668
2016-03-06 22:27 WaTaKiD Relationship added parent of 0002669
2016-12-07 10:08 WaTaKiD Relationship added parent of 0002946
2016-12-07 10:16 WaTaKiD Relationship added parent of 0002947
2016-12-07 10:28 WaTaKiD Relationship added parent of 0002948
2016-12-07 10:34 WaTaKiD Relationship added parent of 0002949
2016-12-07 10:54 WaTaKiD Relationship added parent of 0002950
2016-12-07 11:20 WaTaKiD Relationship added parent of 0002951
2016-12-07 11:20 WaTaKiD Relationship added parent of 0002952
2016-12-07 11:25 WaTaKiD Relationship added parent of 0002953
2017-02-09 00:57 WaTaKiD Relationship added parent of 0003007
2017-02-09 00:59 WaTaKiD Relationship added parent of 0003008






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker